Subject: Re: [PATCH] ARM: s3c: Fix a build error after the s3c24xx dma driver was removed

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 25 Nov 2022 09:52:51 +0100

On 25/11/2022 09:51, Uwe Kleine-König wrote:
> Hello,
> 
> On Sun, Nov 20, 2022 at 12:22:31PM +0100, Krzysztof Kozlowski wrote:
>> On 20/11/2022 11:31, Krzysztof Kozlowski wrote:
>>> On 18/11/2022 22:54, Uwe Kleine-König wrote:
>>>> The linux/platform_data/dma-s3c24xx.h header file was removed. It didn't
>>>> declare or define any symbol needed in devs.c though, so the #include
>>>> can just be dropped.
>>>>
>>>> Fixes: cccc46ae3623 ("dmaengine: remove s3c24xx driver")
>>>> Signed-off-by: Uwe Kleine-König <[email-masked]>
>>>> ---
>>>
>>> The file was not removed... or it should not have been yet. The s3c24xx
>>> dma driver removal should be part of Arnd series taken via SoC ARM.
> 
> The patch enters next with the merge of
> 
> 	git://git.kernel.org/pub/scm/linux/kernel/git/vkoul/dmaengine.git next
> 
> Ah, the patch that became cccc46ae3623 (i.e. patch #14) is part of a
> bigger series. Its patch #1 removes s3c24xx.c (which you pointed out to be still
> broken) and patch #2 includes the change I suggested here.
> 
>> I think that commit should be just dropped instead.
> 
> +1
> 
> BTW, cccc46ae3623 is included in next since next-20221107 and breaks
> (at least) arm/s3c2410_defconfig. So I would consider reverting
> cccc46ae3623 a fix. (Added linux-next to Cc:)

Yes. The build failure of next was reported already by kernel test robot.

Vinod, can we drop this patch?

Best regards,
Krzysztof